Flash should be avoided because it is not accessible and not all browsers support it

Description

Rule ID: flash-content

This rule verifies if there are Adobe Flash Player components.

    Context

    Since Adobe no longer supports Flash Player after December 31, 2020, and blocked Flash content from running in Flash Player beginning January 12, 2021, Adobe strongly recommends all users immediately uninstall Flash Player to help protect their systems.

    Due to above security reasons and poor accessibility support Adobe Flash Player should be removed.

    The following elements are being considered as Adobe Flash Player while evaluating this rule:

    • Any element with an attribute classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"
    • embed[type="application/x-shockwave-flash"]
    • object[type="application/x-shockwave-flash"]

    How to fix it

    The rule passes when there are no elements that refer to Adobe Flash Player.

    Standard

    Best Practices